Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.sax
Class CountingErrorHandler

    java.lang.Object
      convert.xml.sax.CountingErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class CountingErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Constructor Summary
`CountingErrorHandler()`
`CountingErrorHandler(org.xml.sax.ErrorHandler errorHandler)`

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)`
`void` | `fatalError(org.xml.sax.SAXParseException exception)`
`int` | `getErrorCount()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`int` | `getFatalErrorCount()`
`boolean` | `getHadErrorOrFatalError()`
`int` | `getWarningCount()`
`void` | `reset()`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)`
`void` | `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountingErrorHandler

    public CountingErrorHandler()

### CountingErrorHandler

    public CountingErrorHandler(org.xml.sax.ErrorHandler errorHandler)

Method Detail

### reset

    public void reset()

### getHadErrorOrFatalError

    public boolean getHadErrorOrFatalError()

### getFatalErrorCount

    public int getFatalErrorCount()

### getErrorCount

    public int getErrorCount()

### getWarningCount

    public int getWarningCount()

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD